Web lists-archives.com

Re: Feature suggest for GTK 4




Hi;

you probably want to use gtk-devel-list@xxxxxxxxx. Having said that:

2017-11-04 15:55 GMT+00:00 Natanael Barbosa Santos <natanaelgplay@xxxxxxxxx>:
> English: Add retrocompatibility with GTK 2.x or easy port like QT 4 to QT 5:

Definitely not going to happen.

A lot of API provided by GTK is defined at run time — properties,
signals, even the object types. This means we cannot provide a
compatibility layer like Qt does. Types would collide, properties
would behave differently, signals would not be emitted.

Additionally, a compatibility between GTK 2.x and 4.x is absolutely
out of the question; at most, backward compatibility would extend to
the latest stable release (GTK 3.22) not to the old stable release.

Ciao,
 Emmanuele.

-- 
https://www.bassi.io
[@] ebassi [@gmail.com]
_______________________________________________
gtk-list mailing list
gtk-list@xxxxxxxxx
https://mail.gnome.org/mailman/listinfo/gtk-list